NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::ProfileBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::Profile builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateProfileBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ShipDesign::ProfileBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Alignment { AlignmentCenter, AlignmentGuideEdge, AlignmentOppositeGuide }
 Creation method used to define the placement of the belt this is disabled for profiles. More...
 
enum  EndCutOption { EndCutOptionNone, EndCutOptionSymmetric, EndCutOptionTwoSided }
 Creation method used to define the end cut type. More...
 
enum  OrientationOption { OrientationOptionFaceNormal, OrientationOptionDatumCsys, OrientationOptionVector }
 Creation method used to define the placement of the profile this is disabled for belt creation. More...
 
enum  SectionOption { SectionOptionPlate, SectionOptionProfile }
 Creation of profile from the library or a plate. More...
 
enum  TypeOption { TypeOptionProfile, TypeOptionBelt }
 Creation type either a belt or a profile. More...
 

Public Member Functions

NXOpen::ExpressionAngleOfRotation ()
 Returns the angle of rotation
Created in NX7.5.1. More...
 
double AngularTolerance ()
 Returns the angular tolerance (degrees). More...
 
int AttributeMaterial ()
 Returns the material attribute
Created in NX7.5.0. More...
 
int AttributeName ()
 Returns the name attribute value
Created in NX7.5.0. More...
 
NXOpen::Features::ShipDesign::ProfileBuilder::Alignment BeltAlignment ()
 Returns the belt alignment
Created in NX7.5.0. More...
 
int BeltSize ()
 Returns the belt size options
Created in NX7.5.0. More...
 
int BeltType ()
 Returns the belt type options
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::CurveLengthDataCurveLengthData ()
 Returns the curve length data
Created in NX7.5.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance (part units). More...
 
NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption EndCutType ()
 Returns the end cut type
Created in NX7.5.0. More...
 
NXOpen::EndCutBlockBuilderEndEndCutBlock ()
 Returns the end end cut block
Created in NX7.5.0. More...
 
NXOpen::ExpressionFaceOffsetExpression ()
 Returns the face offset expression
Created in NX7.5.0. More...
 
bool FaceOffsetVector ()
 Returns the face offset vector
Created in NX7.5.0. More...
 
std::vector< NXStringGetAvailableAttributeMaterials ()
 Returns the list of available material attributes. More...
 
std::vector< NXStringGetAvailableAttributeNames ()
 Returns the list of available name attributes. More...
 
std::vector< NXStringGetAvailableBeltSizes ()
 Returns the list of available material attributes. More...
 
std::vector< NXStringGetAvailableBeltTypes ()
 Returns the list of available material attributes. More...
 
std::vector< NXStringGetAvailableProfileSizes ()
 Returns the list of available material attributes. More...
 
std::vector< NXStringGetAvailableProfileTypes ()
 Returns the list of available material attributes. More...
 
NXOpen::ExpressionGuideOffsetExpression ()
 Returns the guide offset expression
Created in NX7.5.0. More...
 
bool GuideOffsetVector ()
 Returns the guide offset vector
Created in NX7.5.0. More...
 
NXOpen::SectionGuideSection ()
 Returns the select edge
Created in NX7.5.0. More...
 
bool KeepFace ()
 Returns the toggle which allows re-use of the selected faces
Created in NX7.5.0. More...
 
bool KeepGuide ()
 Returns the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0. More...
 
NXOpen::DirectionOrientationVector ()
 Returns the orientation vector
Created in NX7.5.4. More...
 
NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption OrientType ()
 Returns the orient type
Created in NX7.5.0. More...
 
NXOpen::ExpressionPlateHeight ()
 Returns the plate height
Created in NX7.5.0. More...
 
NXOpen::ExpressionPlateWIdth ()
 Returns the plate width
Created in NX7.5.0. More...
 
int ProfileSize ()
 Returns the profile size options
Created in NX7.5.0. More...
 
int ProfileType ()
 Returns the profile type options
Created in NX7.5.0. More...
 
NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption SectionType ()
 Returns the section type
Created in NX7.5.0. More...
 
NXOpen::Features::SelectFeatureListSelectCsys ()
 Returns the select csys
Created in NX7.5.0. More...
 
NXOpen::ScCollectorSelectFace ()
 Returns the placement faces or datum plane
Created in NX7.5.0. More...
 
void SetAngularTolerance (double angularTolerance)
 Sets the angular tolerance (degrees). More...
 
void SetAttributeMaterial (int material)
 Sets the material attribute
Created in NX7.5.0. More...
 
void SetAttributeName (int name)
 Sets the name attribute value
Created in NX7.5.0. More...
 
void SetBeltAlignment (NXOpen::Features::ShipDesign::ProfileBuilder::Alignment beltAlignment)
 Sets the belt alignment
Created in NX7.5.0. More...
 
void SetBeltSize (int size)
 Sets the belt size options
Created in NX7.5.0. More...
 
void SetBeltType (int type)
 Sets the belt type options
Created in NX7.5.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance (part units). More...
 
void SetEndCutType (NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption endCutType)
 Sets the end cut type
Created in NX7.5.0. More...
 
void SetFaceOffsetVector (bool faceOffsetVector)
 Sets the face offset vector
Created in NX7.5.0. More...
 
void SetGuideOffsetVector (bool guideOffsetVector)
 Sets the guide offset vector
Created in NX7.5.0. More...
 
void SetKeepFace (bool keepFace)
 Sets the toggle which allows re-use of the selected faces
Created in NX7.5.0. More...
 
void SetKeepGuide (bool keepGuide)
 Sets the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0. More...
 
void SetOrientationVector (NXOpen::Direction *orientationVector)
 Sets the orientation vector
Created in NX7.5.4. More...
 
void SetOrientType (NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption orientType)
 Sets the orient type
Created in NX7.5.0. More...
 
void SetProfileSize (int size)
 Sets the profile size options
Created in NX7.5.0. More...
 
void SetProfileType (int type)
 Sets the profile type options
Created in NX7.5.0. More...
 
void SetSectionType (NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption sectionType)
 Sets the section type
Created in NX7.5.0. More...
 
void SetType (NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption type)
 Sets the type belt or profile
Created in NX7.5.0. More...
 
NXOpen::EndCutBlockBuilderStartEndCutBlock ()
 Returns the start end cut block
Created in NX7.5.0. More...
 
NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption Type ()
 Returns the type belt or profile
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::Profile builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateProfileBuilder
Default values.

Property Value

AngleOfRotation.Value

0

AngularTolerance

0.5

BeltAlignment

Center

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

EndCutType

None

EndEndCutBlock.Angle.Value

0

EndEndCutBlock.Offset.Value

0

EndEndCutBlock.SketchBlock.Exp1.Value

0

EndEndCutBlock.SketchBlock.Exp10.Value

0

EndEndCutBlock.SketchBlock.Exp11.Value

0

EndEndCutBlock.SketchBlock.Exp12.Value

0

EndEndCutBlock.SketchBlock.Exp2.Value

0

EndEndCutBlock.SketchBlock.Exp3.Value

0

EndEndCutBlock.SketchBlock.Exp4.Value

0

EndEndCutBlock.SketchBlock.Exp5.Value

0

EndEndCutBlock.SketchBlock.Exp6.Value

0

EndEndCutBlock.SketchBlock.Exp7.Value

0

EndEndCutBlock.SketchBlock.Exp8.Value

0

EndEndCutBlock.SketchBlock.Exp9.Value

0

EndEndCutBlock.SketchBlock.Sketches

EndCut1

EndEndCutBlock.TaperType

Trim

FaceOffsetExpression.Value

0

GuideOffsetExpression.Value

0

KeepFace

0

KeepGuide

0

OrientType

FaceNormal

PlateHeight.Value

0

PlateWIdth.Value

0

SectionType

Profile


Created in NX7.5.0.

Member Enumeration Documentation

Creation method used to define the placement of the belt this is disabled for profiles.

Enumerator
AlignmentCenter 

center

AlignmentGuideEdge 

guide edge

AlignmentOppositeGuide 

opposite guide

Creation method used to define the end cut type.

Enumerator
EndCutOptionNone 

none

EndCutOptionSymmetric 

symmetric

EndCutOptionTwoSided 

two sided

Creation method used to define the placement of the profile this is disabled for belt creation.

Enumerator
OrientationOptionFaceNormal 

face normal

OrientationOptionDatumCsys 

datum csys

OrientationOptionVector 

vector

Creation of profile from the library or a plate.

Enumerator
SectionOptionPlate 

plate

SectionOptionProfile 

profile

Creation type either a belt or a profile.

Enumerator
TypeOptionProfile 

profile

TypeOptionBelt 

belt

Member Function Documentation

NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::AngleOfRotation ( )

Returns the angle of rotation
Created in NX7.5.1.



License requirements : None

double NXOpen::Features::ShipDesign::ProfileBuilder::AngularTolerance ( )

Returns the angular tolerance (degrees).


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::AttributeMaterial ( )

Returns the material attribute
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::AttributeName ( )

Returns the name attribute value
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ShipDesign::ProfileBuilder::Alignment NXOpen::Features::ShipDesign::ProfileBuilder::BeltAlignment ( )

Returns the belt alignment
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::BeltSize ( )

Returns the belt size options
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::BeltType ( )

Returns the belt type options
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::CurveLengthData* NXOpen::Features::ShipDesign::ProfileBuilder::CurveLengthData ( )

Returns the curve length data
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::ShipDesign::ProfileBuilder::DistanceTolerance ( )

Returns the distance tolerance (part units).


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption NXOpen::Features::ShipDesign::ProfileBuilder::EndCutType ( )

Returns the end cut type
Created in NX7.5.0.



License requirements : None

NXOpen::EndCutBlockBuilder* NXOpen::Features::ShipDesign::ProfileBuilder::EndEndCutBlock ( )

Returns the end end cut block
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::FaceOffsetExpression ( )

Returns the face offset expression
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::ProfileBuilder::FaceOffsetVector ( )

Returns the face offset vector
Created in NX7.5.0.



License requirements : None

std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableAttributeMaterials ( )

Returns the list of available material attributes.

Returns
Array of available attribute materials. These materials are specified in the customer defaults file.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableAttributeNames ( )

Returns the list of available name attributes.

Returns
Array of available attribute names. These names are specified in the customer defaults file.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableBeltSizes ( )

Returns the list of available material attributes.

Returns
Array of available belt types derived from the belt library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableBeltTypes ( )

Returns the list of available material attributes.

Returns
Array of available belt types derived from the belt library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableProfileSizes ( )

Returns the list of available material attributes.

Returns
Array of available profile types derived from the profile library.
Created in NX7.5.0.

License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableProfileTypes ( )

Returns the list of available material attributes.

Returns
Array of available profile types derived from the profile library.
Created in NX7.5.0.

License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::GuideOffsetExpression ( )

Returns the guide offset expression
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::ProfileBuilder::GuideOffsetVector ( )

Returns the guide offset vector
Created in NX7.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::ShipDesign::ProfileBuilder::GuideSection ( )

Returns the select edge
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::ProfileBuilder::KeepFace ( )

Returns the toggle which allows re-use of the selected faces
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::ProfileBuilder::KeepGuide ( )

Returns the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::ProfileBuilder::OrientationVector ( )

Returns the orientation vector
Created in NX7.5.4.



License requirements : None

NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption NXOpen::Features::ShipDesign::ProfileBuilder::OrientType ( )

Returns the orient type
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::PlateHeight ( )

Returns the plate height
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::PlateWIdth ( )

Returns the plate width
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::ProfileSize ( )

Returns the profile size options
Created in NX7.5.0.



License requirements : None

int NXOpen::Features::ShipDesign::ProfileBuilder::ProfileType ( )

Returns the profile type options
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption NXOpen::Features::ShipDesign::ProfileBuilder::SectionType ( )

Returns the section type
Created in NX7.5.0.



License requirements : None

NXOpen::Features::SelectFeatureList* NXOpen::Features::ShipDesign::ProfileBuilder::SelectCsys ( )

Returns the select csys
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ShipDesign::ProfileBuilder::SelectFace ( )

Returns the placement faces or datum plane
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::ShipDesign::ProfileBuilder::SetAngularTolerance ( double  angularTolerance)

Sets the angular tolerance (degrees).


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
angularToleranceangulartolerance
void NXOpen::Features::ShipDesign::ProfileBuilder::SetAttributeMaterial ( int  material)

Sets the material attribute
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
materialmaterial
void NXOpen::Features::ShipDesign::ProfileBuilder::SetAttributeName ( int  name)

Sets the name attribute value
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
namename
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltAlignment ( NXOpen::Features::ShipDesign::ProfileBuilder::Alignment  beltAlignment)

Sets the belt alignment
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
beltAlignmentbeltalignment
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltSize ( int  size)

Sets the belt size options
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
sizesize
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltType ( int  type)

Sets the belt type options
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
typetype
void NXOpen::Features::ShipDesign::ProfileBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance (part units).


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::ShipDesign::ProfileBuilder::SetEndCutType ( NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption  endCutType)

Sets the end cut type
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
endCutTypeendcuttype
void NXOpen::Features::ShipDesign::ProfileBuilder::SetFaceOffsetVector ( bool  faceOffsetVector)

Sets the face offset vector
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
faceOffsetVectorfaceoffsetvector
void NXOpen::Features::ShipDesign::ProfileBuilder::SetGuideOffsetVector ( bool  guideOffsetVector)

Sets the guide offset vector
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
guideOffsetVectorguideoffsetvector
void NXOpen::Features::ShipDesign::ProfileBuilder::SetKeepFace ( bool  keepFace)

Sets the toggle which allows re-use of the selected faces
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepFacekeepface
void NXOpen::Features::ShipDesign::ProfileBuilder::SetKeepGuide ( bool  keepGuide)

Sets the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
keepGuidekeepguide
void NXOpen::Features::ShipDesign::ProfileBuilder::SetOrientationVector ( NXOpen::Direction orientationVector)

Sets the orientation vector
Created in NX7.5.4.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
orientationVectororientationvector
void NXOpen::Features::ShipDesign::ProfileBuilder::SetOrientType ( NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption  orientType)

Sets the orient type
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
orientTypeorienttype
void NXOpen::Features::ShipDesign::ProfileBuilder::SetProfileSize ( int  size)

Sets the profile size options
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
sizesize
void NXOpen::Features::ShipDesign::ProfileBuilder::SetProfileType ( int  type)

Sets the profile type options
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
typetype
void NXOpen::Features::ShipDesign::ProfileBuilder::SetSectionType ( NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption  sectionType)

Sets the section type
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
sectionTypesectiontype
void NXOpen::Features::ShipDesign::ProfileBuilder::SetType ( NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption  type)

Sets the type belt or profile
Created in NX7.5.0.



License requirements : nx_ship_concept ("Ship Concept")

Parameters
typetype
NXOpen::EndCutBlockBuilder* NXOpen::Features::ShipDesign::ProfileBuilder::StartEndCutBlock ( )

Returns the start end cut block
Created in NX7.5.0.



License requirements : None

NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption NXOpen::Features::ShipDesign::ProfileBuilder::Type ( )

Returns the type belt or profile
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.